#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform sampler2D u_brush;

void main()
{

  vec4 texColor = texture2D(u_texture, v_texCoord);
  vec4 maskColor = texture2D(u_brush, v_texCoord);
  vec4 finalColor;
  if(maskColor.r == maskColor.g && maskColor.g == maskColor.b  ) {
    
    finalColor  = vec4(texColor.r, texColor.g, texColor.b, texColor.a * maskColor.a);
    gl_FragColor = finalColor * v_fragmentColor;
  
  } else {
    finalColor  = vec4(texColor.r, texColor.g, texColor.b, 0);
    gl_FragColor = v_fragmentColor * finalColor;
  }

  
  
}